<%@ Page language="vb" debug=true %>
<%@ Import NameSpace = "System.Data.OleDB" %>
<%
  'This page needs to keep count of the current day.
  'It uses the QueryString variable "Day".
  'It finds the total number of days by opening the database and reading the value of the last record.
  'This means that this page will still work if more records are added.

  Dim AConnection As OleDbConnection = New OleDbConnection("PROVIDER=MICROSOFT.JET.OLEDB.4.0;DATA SOURCE=" & Server.Mappath("data.mdb"))
  Dim ACommand As OleDbCommand = New OleDbCommand("SELECT Day FROM Table1 ORDER BY Day DESC", AConnection)
  AConnection.Open
  Dim DataReader As OleDbDataReader = ACommand.ExecuteReader

  DataReader.Read
  Dim DayCount As Integer
  DayCount = DataReader.Item("Day")

  AConnection.Close

  'The following variables are used later in generating the URLs
  'CurrentDay is passed to the image generation script to allow the correct graph to be drawn.
  Dim CurrentDay As Integer
  Dim Prev As Integer
  Dim NextDay As Integer
  If Request.QueryString("Day") <> "" Then
    CurrentDay = CInt(Request.QueryString("Day"))
  Else
    CurrentDay = 1
  End If
  If CurrentDay > 1 Then
    Prev = CurrentDay - 1
  Else
    Prev = 1
  End If
  If CurrentDay < DayCount Then
    NextDay = CurrentDay + 1
  Else
    NextDay = CurrentDay
  End If
%>

<html>
<head>
<title>Bar chart showing results by day</title>

</head>

<body>
<table align=center width=400>
  <tr><td colspan=4><img src="gif_barsbyday.aspx?Day=<%= CurrentDay %>" 
  width=400 height=300></td></tr>
  <tr><td width=100><a href="barsbyday.aspx?Day=1">First</td>
    <td width=100><a href="barsbyday.aspx?Day=<%= Prev %>">Previous</td>
    <td width=100><a href="barsbyday.aspx?Day=<%= NextDay %>">Next</td>
    <td width=100><a href="barsbyday.aspx?Day=<%= DayCount %>">Last</td>
  </tr>
</table>
<p>Links to the other result pages:</p>
<p><a href=barsbycolour.aspx>Bar charts showing results for each colour separately</a>.</p>
<p><a href=lines.aspx>Line graph showing all results combined</a>.</p>
</body>
</html>
