<%@ Page language="vb" debug=true %>
<%@ Import NameSpace = "System.Data.OleDB" %>
<%@ Import NameSpace = "csASPNetGraphTrial" %>
<%
'This script is called from 4 separate IMG tags and accepts the URL parameter "Colour"

'Change the namespace import to "csASPNetGraph" if the full version is used

Response.Buffer = true
Response.Expires = 0
Response.Clear

'The Select Case statement finds the HTML colour string
Dim Colour As String
Select Case Request.QueryString("Colour")
  Case "Red" : Colour = "ff0000"
  Case "Blue" : Colour = "0000ff"
  Case "Green" : Colour = "00ff00"
  Case "Yellow" : Colour = "ffff00"
End Select

Dim Graph As New GraphClass

Dim AConnection As OleDbConnection = New OleDbConnection("PROVIDER=MICROSOFT.JET.OLEDB.4.0;DATA SOURCE=" & Server.Mappath("data.mdb"))
Dim ACommand As OleDbCommand = New OleDbCommand("SELECT Day, " & Request.QueryString("Colour") & " FROM Table1 ORDER BY Day", AConnection)
AConnection.Open
Dim DataReader As OleDbDataReader = ACommand.ExecuteReader


'The day, the value and the colour are added for each record
'The data value is read using DataReader.Item(1) because it is the second field in the data set

While DataReader.Read
  Graph.AddData(DataReader.Item("Day"), DataReader.Item(1), Colour)
End While

AConnection.Close

'The following component properties are set
'These images are smaller than the default so Width and MaxX are set
'The background colour is set to light grey and the text background colours must match

Graph.Title = "Results for " & Request.QueryString("Colour")
Graph.TitleX = 100
Graph.Width = 285
Graph.MaxX = 220
Graph.XAxisText = "Days"
Graph.YAxisText = "Total"
Graph.ShowLegend = false
Graph.BGColor = "eeeeee"
Graph.PlotAreaColor = "eeeeee"
Graph.TitleBGColor = "eeeeee"
Graph.LabelBGColor = "eeeeee"
Graph.AxisTextBGColor = "eeeeee"

'GraphType = 1 for a bar chart with vertical bars
Graph.GraphType = 1

'Finally the image is sent to the browser in GIF format
Graph.GraphToBrowser(1)
%>
