<%@ Page language="vb" debug=true %>
<%@ Import NameSpace = "System.Data.OleDB" %>
<%@ Import NameSpace = "csASPNetGraphTrial" %>
<%
'This script generates a line graph using all the data from the database.
'It shows 4 different lines for the 4 different sets of values.
'Instead of showing numbers along the x-axis it uses the names of the days.

'Change the namespace import to "csASPNetGraph" if the full version is used.

Response.Expires = 0
Response.Buffer = true
Response.Clear

Dim Graph As New GraphClass

Dim AConnection As OleDbConnection = New OleDbConnection("PROVIDER=MICROSOFT.JET.OLEDB.4.0;DATA SOURCE=" & Server.Mappath("data.mdb"))
Dim ACommand As OleDbCommand = New OleDbCommand("SELECT * FROM Table1 ORDER BY Day", AConnection)
AConnection.Open
Dim DataReader As OleDbDataReader = ACommand.ExecuteReader

'Loop through all the data values and add the day and the value for each point.

While DataReader.Read
  Graph.AddPoint(DataReader.Item("Day"), DataReader.Item("Red"), "ff0000", "Red")
  Graph.AddPoint(DataReader.Item("Day"), DataReader.Item("Blue"), "0000ff", "Blue")
  Graph.AddPoint(DataReader.Item("Day"), DataReader.Item("Green"), "00ff00", "Green")
  Graph.AddPoint(DataReader.Item("Day"), DataReader.Item("Yellow"), "ffff00", "Yellow")
  Graph.AddXValue(DataReader.Item("Day"), DataReader.Item("DayName"))
End While

AConnection.Close


'The following component properties are set.
'XOffset starts the x-axis at 1 instead of 0.
'XTop and XGrad calibrate the x-axis instead of allowing the component to do it.

Graph.Title = "All the combined results"
Graph.TitleX = 100
Graph.YAxisText = "Total for each day"
Graph.OriginY = 220
Graph.XOffset = 1
Graph.XTop = 7
Graph.XGrad = 1
Graph.UseXAxisLabels = true
Graph.LineWidth = 2
Graph.PointSize = 3
Graph.PointStyle = 1

'GraphType = 3 for a line graph
Graph.GraphType = 3

'Finally the image is sent to the browser in GIF format
Graph.GraphToBrowser(1)
%>
